#!/bin/bash
# script pour décompresser en utilisant la touche F10.

aplay /usr/local/share/advl/beep.wav

File="$1"
Y="$(pwd)"
mkdir $HOME/Dossier-dezip
cp "$File" $HOME/Dossier-dezip

ZIPDIR=$HOME/Dossier-dezip
TMP=/tmp/zipfiles
cd "$ZIPDIR"
rm tmp/zipfiles 2>/dev/null

for i in ./*.zip; do
    dossier=${i::-4}
    mkdir "$dossier"
    unzip -o "$i" -d "$dossier" 
    subdirs=$(find "$dossier" -type d -printf ".\n" | wc -l)
    if [[ $subdirs -gt 1 ]]; then
        mv ./$dossier/*/* ./$dossier/*
    
    rm $HOME/Dossier-dezip/*.zip

    fi
done

sleep 5
pdftotext -layout /usr/local/share/advl/lize.pdf - | espeak -a 300 -v mb-fr1 -s 150

caja  $HOME/Dossier-dezip
