#!/bin/sh
# VERSION 1.0
# Auteur : association ACIAH - avril 2023
# Licence : GPL - v3
# Modifications :
# Nom : lire-avec-VLC
# DESCRIPTION : Script permettant de lire avec VLC

# RACCOURCIS : ce script est placé dans le dossier $HOME/.config/caja/scripts
# et est appelé par le raccourci :F12
# DIVERS  : 



File="$1" # $1 est le fichier passé en paramètre
Y="$(pwd)" # Les guillemets évitent la cata si le répertoire courant comprenait un ou plusieurs espaces !
Z="${File%%.*}"  # Ceci est le nom du fichier sans l'extension
cp "$Y/$File" ~/tmp

x-terminal-emulator -e cvlc "$1"

exit 0

